import { clsx } from "clsx";

export function Container({
  children,
  className,
  as: As = "div",
}: {
  children: React.ReactNode;
  className?: string;
  as?: React.ElementType;
}) {
  return (
    <As className={clsx("w-full px-4 sm:px-6 lg:px-8", className)}>
      {children}
    </As>
  );
}
